<?php
/*
#########################################################
############   openPlaG 1.0: function.php   #############
#########################################################
#############   written by Juergen Kummer   #############
#########################################################
##############   published under GNU GPL   ##############
#########################################################
Original source: http://rechneronline.de/function-graphs/
#########################################################
Copyright (C) 2007 Juergen Kummer

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

/*
This file is the content of the iframe, where the image
of the graph is displayed. It is called by the main page
hosting the iframe and only contains the image.
*/

// first we need to alter the submitted values a bit
// and make some plausibility checks
$formula1=rawurlencode($formula1);
$formula2=rawurlencode($formula2);
$formula3=rawurlencode($formula3);
$width=abs(intval($width));
$height=abs(intval($height));
if ($width>500) $width=500;
if ($height>500) $height=500;
if ($width<200) $width=200;
if ($height<200) $height=200;
$rulex1=str_replace(",",".",$rulex1);
$rulex2=str_replace(",",".",$rulex2);
$ruley1=str_replace(",",".",$ruley1);
$ruley2=str_replace(",",".",$ruley2);
if ($rulex1>10000 || $rulex1 < -10000) $rulex1=-10000;
if ($rulex2>10000 || $rulex2 < -10000) $rulex2=10000;
if ($ruley1>10000 || $ruley1 < -10000) $ruley1=-10000;
if ($ruley2>10000 || $ruley2 < -10000) $ruley2=10000;
$intervalsx=abs(intval($intervalsx));
$intervalsy=abs(intval($intervalsy));
if($intervalsx>100) $intervalsx=100;
if($intervalsy>100) $intervalsy=100;
$gridx=abs(intval($gridx));
$gridy=abs(intval($gridy));
if($gridx>100) $gridx=100;
if($gridy>100) $gridy=100;
$linex=abs(intval($linex));
$liney=abs(intval($liney));
if($linex>500) $linex=500;
if($liney>500) $liney=500;
$deci=abs(intval($deci));
$mid=abs(intval($mid));
if($deci>10) $deci=10;
if($mid>500) $mid=500;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title></title>
<meta name="robots" content="noindex,nofollow" />
</head>
<body style="padding:0px;margin:0px"><center>
<img src="graph.php?c=<?= $c ?>&formula1=<?= $formula1 ?>&formula2=<?= $formula2 ?>&formula3=<?= $formula3 ?>&col1=<?=$col1 ?>&col2=<?=$col2 ?>&col3=<?=$col3 ?>&term1=<?=$term1 ?>&term2=<?=$term2 ?>&term3=<?=$term3 ?>&width=<?=$width ?>&height=<?=$height ?>&rulex1=<?=$rulex1 ?>&rulex2=<?=$rulex2 ?>&ruley1=<?=$ruley1 ?>&ruley2=<?=$ruley2 ?>&intervalsx=<?=$intervalsx ?>&intervalsy=<?=$intervalsy ?>&linex=<?=$linex ?>&liney=<?=$liney ?>&deci=<?=$deci ?>&mid=<?=$mid ?>&lines=<?=$lines ?>&numbers=<?=$numbers ?>&dashes=<?=$dashes ?>&frame=<?=$frame ?>&errors=<?=$errors ?>&sint1=<?=$sint1 ?>&sint2=<?=$sint2 ?>&sint3=<?=$sint3 ?>&grid=<?=$grid ?>&gridx=<?=$gridx ?>&gridy=<?=$gridy ?>&logsk=<?=$logsk ?>&ta1=<?=$ta1 ?>&ta2=<?=$ta2 ?>&tb1=<?=$tb1 ?>&tb2=<?=$tb2 ?>&tc1=<?=$tc1 ?>&tc2=<?=$tc2 ?>&cint1=<?=$cint1 ?>&cint2=<?=$cint2 ?>&cint3=<?=$cint3 ?>" alt="Graph" />
</center></body>
</html>